REM http://downloads.sourceforge.net/project/qwt/qwt/5.2.3/qwt-5.2.3.tar.bz2

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=qwt5
set V=5.2.3
set B=1

set R=..\..\..\release\%P%
for %%i in (doc libs devel) do (
	if not exist %R%\%P%-%%i-qt4 mkdir %R%\%P%-%%i-qt4
	copy %%i.hint %R%\%P%-%%i-qt4\setup.hint
)

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%
set OLDPATH=%PATH%
call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
path %OLDPATH%;%OSGEO4W_ROOT%\bin;c:\cygwin\bin
echo on

copy qwtconfig.pri ..
copy designer.pro ..\designer
cd ..

qmake qwt.pro
if errorlevel 1 (echo qmake error & goto error)

nmake
if errorlevel 1 (echo make error & goto error)

nmake install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w

if not exist install\bin mkdir install\bin
move install\lib\qwt5.dll install\bin
if not exist install\apps\Qt4\plugins\designer mkdir install\apps\Qt4\plugins\designer
move %OSGEO4W_ROOT%\apps\Qt4\plugins\designer\qwt_designer_plugin5.dll install\apps\Qt4\plugins\designer

copy ..\COPYING %R%\%P%-doc-qt4\%P%-doc-qt4-%V%-%B%.txt
tar --remove-files -C install -cjvf %R%\%P%-doc-qt4\%P%-doc-qt4-%V%-%B%.tar.bz2 apps/qwt/doc
if errorlevel 1 goto error

copy ..\COPYING %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%.txt
tar -C .. -cjvf %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%-src.tar.bz2 ^
	osgeo4w/designer.pro ^
	osgeo4w/devel.hint ^
	osgeo4w/doc.hint ^
	osgeo4w/libs.hint ^
	osgeo4w/package.cmd ^
	osgeo4w/qwtconfig.pri
tar --remove-files -C install -cjvf %R%\%P%-libs-qt4\%P%-libs-qt4-%V%-%B%.tar.bz2 bin/qwt5.dll
if errorlevel 1 goto error

copy ..\COPYING %R%\%P%-devel-qt4\%P%-libs-qt4-%V%-%B%.txt
tar --remove-files -C install -cjvf %R%\%P%-devel-qt4\%P%-devel-qt4-%V%-%B%.tar.bz2 ^
	include/qwt ^
	lib/qwt5.lib ^
	apps/Qt4/plugins/designer/qwt_designer_plugin5.dll
if errorlevel 1 goto error

:error
